결제 취소 목록
curl --request GET \
--url https://meterengine.com/v1/payment-attempts/{id}/cancellations \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/payment-attempts/{id}/cancellations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"payment_cancellations": [
{
"amount": 123,
"completed_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"failure_message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "test",
"payment_attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"requested_at": "2023-11-07T05:31:56Z",
"status": "pending"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}결제 취소
결제 취소 목록
결제 시도의 취소를 요청 시각이 늦은 것부터 돌려준다. requested_at과 completed_at은 KST(+09:00)로 나온다.
GET
/
v1
/
payment-attempts
/
{id}
/
cancellations
결제 취소 목록
curl --request GET \
--url https://meterengine.com/v1/payment-attempts/{id}/cancellations \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/payment-attempts/{id}/cancellations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"payment_cancellations": [
{
"amount": 123,
"completed_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"failure_message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "test",
"payment_attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"requested_at": "2023-11-07T05:31:56Z",
"status": "pending"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}